Will Pixel Sep run on Photoshop Elements?

Will Pixel Sep run on Photoshop Elements?

No. Pixel Sep requires the full version of Photoshop version CS3 and above to run.

Written by

No Comments Yet.

Leave a Reply

Message